import request from '@/utils/request'

export function getViolatePage(data) {
  return request({
    url: '/js-drug-check/page',
    method: 'get',
    params: data
  })
}

export function getViolateList(data) {
  return request({
    url: '/js-drug-check/list',
    method: 'post',
    data: data
  })
}

export function getViolateDetail(data) {
  return  request({
    url: '/js-drug-check/listById',
    method: 'get',
    params: data
  })
}

export function addViolatePage(data) {
  return request({
    url: '/js-drug-check/add',
    method: 'post',
    data: data
  })
}

export function editViolatePage(data) {
  return request({
    url: '/js-drug-check/edit',
    method: 'post',
    data: data
  })
}

export function delViolatePage(data) {
  return request({
    url: '/js-drug-check/delete',
    method: 'post',
    data: data
  })
}
